.Net Framework to be used while building SpecFlow Add-In

Ask general questions here.
ramanaramidi
Posts: 28
Joined: Wed Feb 26, 2020 6:51 am

.Net Framework to be used while building SpecFlow Add-In

Post by ramanaramidi » Mon Mar 02, 2020 7:41 am

Hi,

As per the document given in the ranorex i.e How to Use Ranorex Studio in Your BDD Process, https://www.ranorex.com/blog/how-to-use ... d-process/ we need to use .Net Framework 3.5 only. Please let me know if we can build with 4.6.2 ?

I am unable to build with .Net Framework 3.5 and observed an error

CS7069 Reference to type 'Action' claims it is defined in 'mscorlib', but it could not be found TechTalk.SpecFlow.RanorexIntegration F:\bdd-specflow-master\IdeIntegration\RanorexIntegration\SpecFlowSingleFileGenerator.cs

Thanks,
Ramana.

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 6181
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: .Net Framework to be used while building SpecFlow Add-In

Post by odklizec » Mon Mar 02, 2020 9:26 am

Hi,

Please read my answer here:
https://www.ranorex.com/forum/unable-to ... tml#p59262

.Net3.5 is unfortunately out of questions. You must use 4.6.2 or higher. There is no way around this.
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration